import { NewTreeModification, OldTreeModification, TreeRenderResult } from '@/lib/XMLProcessor/src/typing'

export const showCompare = ref(false)
export const compareLeftRef = ref()
export const compareRightRef = ref()
export const compareContainerRef = ref()
export const chooseRowRef = ref()
export const compareData = reactive<{
    dataForNew: NewTreeModification
    dataForOld: OldTreeModification
    domOld: Document
    domNew: Document
    treeOld: TreeRenderResult[]
    treeNew: TreeRenderResult[]
    xmlContentOld: string
    xmlContentNew: string
}>({
    dataForNew: { Added: [] },
    dataForOld: { Deleted: [] },
    domOld: null as any,
    domNew: null as any,
    treeOld: [],
    treeNew: [],
    xmlContentOld: '',
    xmlContentNew: ''
})
